<ion-content>
    <ion-grid class="ion-margin ion-no-padding">
        <!-- Return to login -->
        <ion-icon name="arrow-back-outline" routerLink="/login"> </ion-icon>
        <!-- Lock Icon -->
        <ion-row class="ion-justify-content-center mt-48 mb-35">
            <ion-col size="11" sizeMd="3">
                <app-img
                    src="assets/lock.svg"
                    title="email"
                    alt="email"
                    [errorSrc]="cardMedia"
                ></app-img>
            </ion-col>
        </ion-row>
        <!-- Title -->
        <ion-text class="block ion-text-center size-18">
            Modification
        </ion-text>
        <!-- Form -->
        <form [formGroup]="form" (ngSubmit)="onSubmit()">
            <ion-row class="ion-justify-content-center">
                <ion-col sizeLg="10">
                    <!-- Password message -->
                    <app-notification
                        [message]="passwordMessage"
                        icon="warning"
                        iconColor="warning"
                        data-test-id="app-notification"
                        class="block has-background-blue-pale size-12 px-6"
                    >
                    </app-notification>
                    <!-- Current password -->
                    <app-input-text
                        data-testid="old-password"
                        [control]="form"
                        iconName="lock-closed-outline"
                        name="oldPassword"
                        inputType="password"
                        placeholder="Ancien mot de passe"
                        [errorMessages]="[errors.required, errors.noSpace, errors.password]"
                        [validators]="passwordValidators"
                        class="block my-15"
                    >
                    </app-input-text>
                    <!-- New Password -->
                    <app-input-text
                        data-testid="new-password"
                        [control]="form"
                        iconName="lock-closed-outline"
                        name="newPassword"
                        inputType="password"
                        placeholder="Nouveau mot de passe"
                        [errorMessages]="[errors.required, errors.noSpace, errors.password]"
                        [validators]="passwordValidators"
                        class="block my-15"
                    >
                    </app-input-text>
                    <!-- Confirm New Password -->
                    <app-input-text
                        data-testid="confirm-password"
                        [control]="form"
                        iconName="lock-closed-outline"
                        name="confirmPassword"
                        inputType="password"
                        placeholder="Confirmer votre mot de passe"
                        [errorMessages]="[errors.required, errors.noSpace, errors.password]"
                        [validators]="passwordValidators"
                        class="block my-15"
                    >
                    </app-input-text>
                    <!-- Error message -->
                    <ion-text
                        class="block size-10 mb-15"
                        color="danger"
                        data-testid="error"
                    >
                        {{error.value}}
                    </ion-text>
                </ion-col>
            </ion-row>
            <!-- Submit button -->
            <ion-row class="ion-justify-content-center mt-15">
                <ion-col size="6" sizeLg="4">
                    <app-button
                        data-testid="update-password"
                        title="Enregistrer"
                        [loading]="loading"
                        (onClick)="onSubmit()"
                        (keyPress)="onSubmit()"
                        shape="round"
                        expand="full"
                        class="is-white"
                    >
                    </app-button>
                </ion-col>
            </ion-row>
        </form>
    </ion-grid>
</ion-content>
